<style>
  /* Style for the normal state of the link */
  .custom-link {
    color: black; /* Change the link color to black */
  }

  /* Style for the hover state of the link */
  .custom-link:hover {
    color: blue; /* Change the link color to blue when hovering */
    text-decoration: underline; /* Maintain the underline when hovering */
  }
</style>

<div
  style="
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 20px;
  "
>
  <mat-form-field
    class="search-field"
    style="max-width: 400px; width: 100%; margin-right: 30px"
  >
    <input
      type="text"
      matInput
      [(ngModel)]="searchTerm"
      #input
      (input)="onSearchInput(searchTerm)"
      style="
        color: black;
        border: 1px solid #ccc;
        padding: 10px;
        border-radius: 5px;
        width: 100%;
      "
      (focus)="input.placeholder = 'Search projects by title'"
      (blur)="input.placeholder = ''"
    />
    <!--<mat-placeholder>{{'PROJECTS.SEARCHBYTITLE' | translate}}</mat-placeholder>-->
  </mat-form-field>
  <a
    nbButton
    status="success"
    shape="semi-round"
    routerLink="/add"
    style="max-width: 400px"
  >
    <nb-icon icon="plus-outline"></nb-icon>Add project
  </a>
</div>

<div class="projectlist">
  <!-- New Project list!?-->

  <div class="mat-elevation-z8">
    <!-- This is a loading symbol -->
    <div class="spinner-container" *ngIf="dataSource.loading$ | async">
      <mat-spinner></mat-spinner>
    </div>

    <!-- This is the table -->
    <nb-card>
      <nb-card-body>
        <mat-table
          class="projects-table mat-elevation-z8"
          [dataSource]="dataSource"
          matSort
          matSortActive="id"
          matSortDirection="asc"
          matSortDisableClear
        >
          <!--displayedColumns = ["id", "status", "description"];-->

          <ng-container matColumnDef="id">
            <mat-header-cell *matHeaderCellDef mat-sort-header
              >ID</mat-header-cell
            >
            <mat-cell *matCellDef="let project">{{ project.id }}</mat-cell>
            <!--<mat-cell class="id-cell" *matCellDef="let project">{{project.id}}</mat-cell>-->
          </ng-container>

          <ng-container matColumnDef="title">
            <mat-header-cell *matHeaderCellDef mat-sort-header>{{
              "PROJECTMATERIALTABLE.TITLE" | translate
            }}</mat-header-cell>
            <mat-cell *matCellDef="let project"
              ><a
                href="https://jarves.nfdi4ing.de/projects/{{ project.id }}"
                target="_blank"
                class="custom-link"
                ><b>{{ project.title }}</b></a
              ></mat-cell
            >
            <!--<mat-cell class="id-cell" *matCellDef="let project">{{project.id}}</mat-cell>-->
          </ng-container>

          <ng-container matColumnDef="status">
            <mat-header-cell *matHeaderCellDef>{{
              "PROJECTMATERIALTABLE.STATUS" | translate
            }}</mat-header-cell>
            <mat-cell class="status-cell" *matCellDef="let project">{{
              project.status
            }}</mat-cell>
          </ng-container>

          <ng-container matColumnDef="description">
            <mat-header-cell *matHeaderCellDef>{{
              "PROJECTMATERIALTABLE.DESCRIPTION" | translate
            }}</mat-header-cell>
            <mat-cell class="description-cell" *matCellDef="let project">{{
              project.description
            }}</mat-cell>
          </ng-container>

          <mat-header-row *matHeaderRowDef="displayedColumns"></mat-header-row>

          <mat-row
            *matRowDef="let row; columns: displayedColumns"
            (click)="getProject(row)"
          ></mat-row>
          <!--<mat-row *matRowDef="let row; columns: displayedColumns" (click)="getProject(row)"></mat-row>-->
        </mat-table>
      </nb-card-body>
    </nb-card>

    <mat-paginator
      #paginator
      [length]="ProjectCount | async"
      [pageSize]="5"
      [pageSizeOptions]="[3, 5, 10, 1010]"
      [showFirstLastButtons]="true"
    >
      <!-- (page)="pageEvent = getDataByPaginator()" -->
      <!--[length]="project?.projectCount"-->
    </mat-paginator>
  </div>
</div>
